/* Background Animations */

.petal {
    position: fixed;
    inset: 0;
    background: radial-gradient(circle, #fff0 0%, #fff 100%);
    background-color: rgba(255, 255, 255, 0.6);
    border-radius: 50% 0 50% 50%;
    opacity: 0.8;
    z-index: 1;
    pointer-events: none;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
    animation: float linear infinite;
}

@keyframes float {
    0% {
        transform: translateY(-10vh) translateX(0) rotate(0deg);
        opacity: 0;
    }

    10% {
        opacity: 0.8;
    }

    90% {
        opacity: 0.8;
    }

    100% {
        transform: translateY(110vh) translateX(50px) rotate(360deg);
        opacity: 0;
    }
}

/* Background Video */
#background-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
    /* Slight fade if needed, or 1 */
}

@media (max-width: 600px) {
    #background-video {
        width: 100%
    }
}